package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.ActivityInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ActivityInfoDAO {
	int insert(ActivityInfo entity);
	int update(ActivityInfo entity);
	int exist(String id);
	ActivityInfo get(String id);
	int delete(String id);
	List<ActivityInfo> list();
	List<ActivityInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
}